abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
včera 23:54 | Pozvánky

DevConf.cz 2017, již devátý ročník jedné z největších akcí zaměřených na Linux a open source ve střední Evropě, proběhne od pátku 27. ledna do neděle 29. ledna v prostorách Fakulty informačních technologií Vysokého učení technického v Brně. Na programu je celá řada zajímavých přednášek a workshopů. Letos je povinná registrace.

Ladislav Hagara | Komentářů: 0
včera 22:11 | Nová verze

Byla vydána verze 1.0.0 emulátoru terminálu Terminology postaveného nad EFL (Enlightenment Foundation Libraries). Přehled novinek v poznámkách k vydání.

Ladislav Hagara | Komentářů: 0
20.1. 17:00 | Nová verze

Byl vydán Docker 1.13. Přehled novinek na YouTube a v poznámkách k vydání na GitHubu. Docker umožňuje běh aplikací v softwarových kontejnerech (Wikipedia).

Ladislav Hagara | Komentářů: 3
20.1. 15:51 | Komunita

Mozilla.cz informuje, že nástroje pro webové vývojáře se možná oddělí od Firefoxu a stanou doplňkem. Nástroje pro webové vývojáře prošly velkým přepisem a tým, který se stará o jejich vývoj, by uvítal možnost jejich častějších aktualizacích nezávisle na vydávání nových verzí Firefoxu.

Ladislav Hagara | Komentářů: 7
20.1. 07:00 | Humor

Čtenářům AbcLinuxu vše nejlepší k dnešnímu Dni zvýšení povědomí o tučňácích (Penguin Awareness Day).

Ladislav Hagara | Komentářů: 0
20.1. 06:00 | Komunita

Bylo spuštěno hlasování o přednáškách a workshopech pro letošní InstallFest, jenž proběhne o víkendu 4. a 5. března v Praze. Současně byla oznámena změna místa. InstallFest se letos vrací zpět na Karlovo náměstí do budovy E.

Ladislav Hagara | Komentářů: 0
20.1. 02:48 | Komunita

Greg Kroah-Hartman potvrdil, že Linux 4.9 je jádrem s prodlouženou upstream podporou (LTS, Long Term Support). Podpora je plánována do ledna 2019. Aktuální jádra s prodlouženou podporou jsou tedy 3.2, 3.4, 3.10, 3.12, 3.16, 3.18, 4.1, 4.4 a 4.9.

Ladislav Hagara | Komentářů: 0
20.1. 00:11 | Zajímavý článek

Výrobce síťových prvků, společnost Netgear, spustila nový program, který slibuje vývojářům, expertům, ale i běžným uživatelům vyplacení finanční odměny za nalezení bezpečnostních chyby v jejich produktech. Za nalezení zranitelnosti v hardware, API nebo mobilní aplikaci nabízí odměnu od 150 do 15 tisíc dolarů (dle závažnosti).

Michal Makovec | Komentářů: 0
20.1. 00:08 | Pozvánky

V sobotu 18. 2. se v Praze v prostorách VŠE uskuteční od 9:30 již 4. ročník největší české konference o open source redakčním systému WordPress (WP) - WordCamp Praha 2017.

… více »
smíťa | Komentářů: 0
19.1. 23:58 | Komunita

Kryptoměnová komunita zahájila nový rok spuštěním projektu Blockchain.cz, jehož cílem je kolektivně nalézt ideální překlad pro čím dál frekventovanější slovo „blockchain“. Přispět návrhem může kdokoli. Sběr bude trvat až do konce září 2017. Následně bude probíhat dvoutýdenní veřejné hlasování, které bude zakončeno výběrem toho nejlepšího návrhu.

xHire | Komentářů: 10
Jak se stavíte k trendu ztenčování přenosných zařízení (smartphony, notebooky)?
 (10%)
 (2%)
 (74%)
 (3%)
 (11%)
Celkem 352 hlasů
 Komentářů: 25, poslední včera 13:34
    Rozcestník
    Reklama

    Dotaz: Firebird upgrade

    16.3.2010 12:42 Petr
    Firebird upgrade
    Přečteno: 425×

    Dobry den, polozil jsem otazku do databazove poradny

    jelikoz se jedna o program Firebird. Nyni mam ale pocit, ze spise se hodi sem, protoze se jedna o upgrade programu, jako takoveho. Zrptam se tedy, jak postupovat pri aktualizaci Firebird v. 2.0 na 2.1, ktera je na serveru CentOS v adresari /opt (tzn. ze nebyla zrejme instalovana z repozitaru). Moc diky, mam to v praci za ukol do patku.

    Odpovědi

    16.3.2010 12:58 Michal Kubeček | skóre: 71 | Luštěnice
    Rozbalit Rozbalit vše Re: Firebird upgrade

    Pokud to bylo instalováno z RPM, stáhnout RPM, pokud ne, stáhnout .tar.gz, zazálohovat security2.fdb (pomocí gbak), firebird.conf a aliases.conf, nainstalovat novou verzi, překopírovat původní firebird.conf a aliases.conf (nebo podle nich upravit nově nainstalované), obnovit security2.fdb

    Nejdřív se ale podívejte do Release Notes, mám pocit, že zrovna mezi 2.0 a 2.1 je potřeba s uživatelskou databází provést ještě něco víc než prostý backup a restore (je tam na to IIRC připravený skript). Je-li těch uživatelů málo a znáte-li jejich hesla, může být jednodušší je prostě zavést znovu.

    Také zvažte, jestli raději nepočkat na 2.5.

    16.3.2010 15:14 Petr
    Rozbalit Rozbalit vše Re: Firebird upgrade
    No to nezni zrovna moc jednoduse. Ja abych rekl pravdu nemam s Linuxem moc zkusenosti a tohle je pozustatek z dob byvaleho spravce, ktery se nam o to staral. Muzete vy (nebo kdokoliv jiny) mi s tim tady treba pomoct trosku podrobneji? Pokud budou potreba nejake informace ode mne, sdelim je. Mockrat diky.
    17.3.2010 08:59 Petr
    Rozbalit Rozbalit vše Re: Firebird upgrade
    Zoufale prosim o pomoc, cas me tlaci a nemuzu s tim hnout. Bojim se, abych tu databazi uplne neodstranik :-(
    17.3.2010 09:05 Michal Kubeček | skóre: 71 | Luštěnice
    Rozbalit Rozbalit vše Re: Firebird upgrade
    Postup jsem vám popsal. Jestli očekáváte nějaký podrobný step-by-step návod, tak je mi líto, na to teď rozhodně nemám čas.
    18.3.2010 09:51 Petr
    Rozbalit Rozbalit vše Re: Firebird upgrade
    Poradite mi prosim, jak zjistim jestli to je classicserver nebo superserver? Nevim ani jaky balicek mam stahnout. Diky.
    18.3.2010 17:45 Michal Kubeček | skóre: 71 | Luštěnice
    Rozbalit Rozbalit vše Re: Firebird upgrade
    Např. 'netstat -lpn | grep 3050'. Jestli tam poslouchá fbserver, používáte SuperServer, jestli inetd nebo xinetd, tak je to Classic.
    22.3.2010 13:35 Petr
    Rozbalit Rozbalit vše Re: Firebird upgrade
    Dobre, dekuju. Zjistil jsem, ze mam superserver. Nasel jsem, ze mam postupovat takto:
    #  Zastavte proces serveru Firebird. Příkaz bude vypadat takto (s ohledem na 	zvyklosti ve Vaší distribuci):
    
    	/etc/init.d/firebird stop
    
    
    #  Odinstalujete server Firebird 1.5:
    
        * Na systému založeném nad RPM balíčky:
    
            rpm -e FirebirdSS 
    
    # Instalace serveru Firebird 2.1
    
        * Na systému založeném nad RPM balíčky:
    
            rpm -ivh FirebirdSS-2.1.(číslo_verze).rpm 
    Dal ale nevim, co mam jeste udelat s puvodni databazi. Myslite, ze bude stacit ucinit jen tyto kroky?
    22.3.2010 14:35 Zdenek
    Rozbalit Rozbalit vše Re: Firebird upgrade
    Nechcete to radsi nechat na nejakem odbornikovi? Zvlaste kdyz o tom vubec nic nevite a je to produkcni server? Ten upgrade se da udelat v pohode na dalku, takze myslim ze staci napsat kolik nabizite a urcite se tu nekdo najde.
    22.3.2010 21:11 Petr
    Rozbalit Rozbalit vše Re: Firebird upgrade
    Ja bohuzel nemohu nabidnout nic, ale pokud mate nekdo zajem, napiste za kolik to nastavite a ja to predam sefovi. Nicmene jsem doufal, ze se mi to povede diky tomuto foru presto, ze tomu moc nerozumim a diky tomu se to naucim.

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.